Hi,
How can I trim a Mesh with a curve?
Explanation of Mesh.Split = a Mesh or Plane or Array of Meshes.
Hi,
How can I trim a Mesh with a curve?
Explanation of Mesh.Split = a Mesh or Plane or Array of Meshes.
There is no function in the SDK to trim a mesh with a curve. I’ll see to adding a wish list item.
What you can do is extrude the curve so is fully extends through the mesh. Then create a mesh from the extrusion. Then spit the target mesh with the new mesh using Rhino.Geometry.Mesh.Split
. You will need to figure what piece to throw away what pieces to keep.
Oke thanks. That’s what I am doing at the moment. Thought of using the curve directly but couldn’t find the function.
Thanks for the reply.
Funny, I was just looking for the same stuff. Do we know if this feature has been implemented in Rhino yet?
Hi.
I’ve used the Rhino 6 and found ‘SplitMeshWithCurve’ command in the console, but I can’t understand how to use it in my C# plugin.
Best regards.
Hi @SergeyK,
RhinoCommon does not contain a method that will split a mesh with a curve. The best you can do, currently, is to script the SplitMeshWithCurve
command using RhinoApp.RunScript
.
– Dale